/* ---------------------------------------------------------------- */
/* Copyright (c) Atelier de BioInformatique			    */
/* @file: Gmach.h						    */
/* @desc: machine dependant setup				    */
/* @+     *should* be included in all ABI softs			    */
/*								    */
/* @history:							    */
/* @+	    <Gloup> : Jul 95 : MWC first draft			    */
/* @+	    <Gloup> : Jan 96 : adapted to Pwg			    */
/* ---------------------------------------------------------------- */

#ifndef _H_Gmach

/* machine and os names */

#define _H_Gmach

#ifdef THINK_C 
#define MACINTOSH
#define MAC_OS
#endif

#ifdef __MWERKS__ 
#define MACINTOSH
#define MAC_OS
#endif

#ifdef SunOS
#define UNIX
#define UNIX_BSD
#endif

#ifdef SOLARIS
#define UNIX_S7
#endif

#ifdef Linux
#define UNIX
#endif

#ifdef IRIX
#define UNIX
#define UNIX_S7
#endif

/* ansi setup 				*/
/* for unix machines see makefile 	*/

#ifndef PROTO
#define PROTO 1
#endif

#ifndef ANSI_PROTO
#define ANSI_PROTO PROTO
#endif

#ifndef ANSI_STR
#define ANSI_STR 1
#endif

#endif

