/* --------------------------------------------	*/
/* fastp_hash.h                                 */
/* --------------------------------------------	*/

#include "fastp.h"

/* -------------------------------------------- */
/* struct de donnees				*/
/* -------------------------------------------- */
		    /* ------------------------ */
		    /* Prototypes    		*/
		    /* ------------------------ */
char	*IndexSequence	    (char *seq , char *alpha);
char	*DeIndexSequence   (char *seq , char *alpha);
Cell	*PutInList	    (Cell **root , int pos);
Cell	*FreeList	    (Cell *root);
int     ComputeHashHeader   (HashHeader *header, char *alphabet, int ksize);
HashTable  *FreeHashTable    (HashTable *hash);
HashTable  *NewHashTable     (char *alphabet, int ksize);
HashVector *FreeHashVector   (HashVector *hash);
HashVector *NewHashVector    (char *alphabet, int ksize);
void	ResetHashTable	    (HashTable *hash);
void	ResetHashVector	    (HashVector *hash);
Int32	HashValue	    (char *word , HashHeader *header);
Int32	UpdateHashValue	    (Int32 old , int newsymb , HashHeader *header);
int	HashUserSeq	    (HashTable  *hash, char *cseq);
int	CountUserSeq	    (HashVector *hash, char *cseq);
int	UpperBoundScore	    (HashVector *hashi, HashVector *hashj);

