#!/bin/bash

organism=$1
ini=${organism:0:1}

/usr/bin/env gnuplot << EOF

IN="../../../$organism/11Blocks/Delta$2/Summary$ini$2.txt"

set terminal postscript eps enhanced color 20
set term svg
set output "../../../$organism/11Blocks/Delta$2/InterchromoRea$2.eps"

#set size 1,1
set xtics nomirror
#set xrange [0:2000]
set xlabel "Number of synteny blocks"
set ylabel "Proportion of inversion"
#set yrange [0:1]
set ytics nomirror




plot 	IN using 11:(\$12/\$11) every ::2 notitle with points lt rgb "black" pointtype 7 pointsize 0.7


pause 2
replot
EOF

