#!/bin/bash

organism=$1
ini=${organism:0:1}
/usr/bin/env gnuplot << EOF

IN="../../../$1/11Blocks/Delta$2/Summary$ini$2.txt"

set terminal postscript eps enhanced color 20
set term svg
set output "../../../$1/11Blocks/Delta$2/PercentGenomfDiv$2.eps"

#set size 1,1
set xtics nomirror
#set xrange [0:35]
set xlabel "Average divergence between orthologous proteins (%)"
set ylabel "Percentage of the genome inside SB"
#set yrange [0:100]
set ytics nomirror



plot    IN using (100-\$10):(\$18/\$8*100) title column(16) with points lt rgb "black" pointtype 7 pointsize 0.7, \
        IN using (100-\$10):(\$19/\$9*100) title column(18) with points lt rgb "red" pointtype 7 pointsize 0.7

pause 2
replot
EOF

