# keep only the syntenic RBH
{
   id1[NR]=$1
   FirstContig[NR]=$2
   FirstPosOrtho[NR]=$3
   FirstPosGene[NR]=$4
   FirstPosAbs[NR]=$5
   id2[NR]=$6
   SecContig[NR]=$7
   SecPosOrtho[NR]=$8
   SecPosGene[NR]=$9
   SecPosAbs[NR]=$10
   similarity[NR]=$11
   inversion[NR]=$12
}
END{
   for (i= 2; i<= NR; i++) {
      if (i <= neighb)
         startat = i-1
      else 
         startat = neighb 
      for (j=i-startat; j< i; j++){ # testing before 
         temp2 = SecPosOrtho[i] - SecPosOrtho[j]
         temp1 = FirstPosOrtho[i] - FirstPosOrtho[j]
         if (temp2 < 0)  temp2 = - temp2
         if (temp1 < 0)  temp1 = - temp1
         # if temp is smaller than diff updates diff if the contigs are the same 
         if ( (FirstContig[i] == FirstContig[j]) && (SecContig[i] == SecContig[j])) {
            if (temp2 <= neighb && temp1<=neighb){
               print id1[j],FirstContig[j],FirstPosOrtho[j],FirstPosGene[j],FirstPosAbs[j],id2[j],SecContig[j],SecPosOrtho[j],SecPosGene[j],SecPosAbs[j],similarity[j],inversion[j]
               print id1[i],FirstContig[i],FirstPosOrtho[i],FirstPosGene[i],FirstPosAbs[i],id2[i],SecContig[i],SecPosOrtho[i],SecPosGene[i],SecPosAbs[i],similarity[i],inversion[i]
               }
            }
      }
   }
}
