#!/usr/bin/env python
# -*- coding: utf-8 -*-
###############################################################################
# Dotplot of name1 and name2 (with gnuplot)

from re import *
from os import chdir, listdir, system, remove

def dotplot(pathG,pathR,name1,name2,delta):

   gnuFile=open(pathR+'Dotplots/dotplot.'+name1+'.'+name2+'.'+delta+'.plot','w')
   chFile1=open(pathG+name1+'.ch','r')
   chFile1.readline()
   chFile1.readline()
   l=split('\t',chFile1.readline())
   endch1=l[:-1]
   chFile2=open(pathG+name2+'.ch','r')
   chFile2.readline()
   chFile2.readline()
   l=split('\t',chFile2.readline())
   endch2=l[:-1]
   for i in range(len(endch1)):
      gnuFile.write('set arrow from '+endch1[i]+',0 to '+endch1[i]+','+endch2[-1]+' nohead\n')
   for i in range(len(endch2)):
      gnuFile.write('set arrow from 0,'+endch2[i]+' to '+endch1[-1]+','+endch2[i]+' nohead\n')
   
   gnuFile.write('set noxtics\nset noytics\nunset key\n')
   gnuFile.write('set xlabel "'+name1+'"\n')
   gnuFile.write('set xrange [0:'+endch1[-1]+']\n')
   gnuFile.write('set ylabel "'+name2+'"\n')
   gnuFile.write('set yrange [0:'+endch2[-1]+']\n')
    

   gnuFile.write('set term svg\n')
   gnuFile.write('set output "'+pathR+'Dotplots/dotplot.'+name1+'.'+name2+'.'+delta+'.svg"\n')
   gnuFile.write("plot '"+pathR+'OrthBlocks/'+name1+'.'+name2+".orth.pairs' using 5:10 with points linetype 3 pointtype 0 pointsize 0.1\n")
    #gnuFile.write('replot\n')

   gnuFile.close()
   chFile1.close()
   chFile2.close()
    
   system('gnuplot '+pathR+'Dotplots/dotplot.'+name1+'.'+name2+'.'+delta+'.plot')
   system('rm '+pathR+'Dotplots/dotplot.'+name1+'.'+name2+'.'+delta+'.plot')
