BEGIN{
   ngroups=0
   if (delta==0){
      deltaRBH=1
      deltaNonRBH=1
      minA=1}
   else {
      deltaRBH=delta
      deltaNonRBH=delta2
      minA=minAnch}
}
(NR==1){
   RBHFir[NR] = $3  
   RBHSec[NR] = $8
   GeneFir[NR] = $4  
   GeneSec[NR] = $9
   FirstContig[NR] = $2
   SecContig[NR] = $7
   dir[NR] = $12
   group[NR] = 1                                                   # the bloc in which it is
   ngroup[NR] = 1                                                  # number of pairs             
   groupvec[NR] = $2 " " $7 " " $1 " " $5 " " $6 " " $10 " " $11    # a list of pairs: chr1 chr2 name1 pos1 name2 pos2 similarity
   Chromo = $2
   startChromo = NR
}
{
   RBHFir[NR] = $3  
   RBHSec[NR] = $8
   GeneFir[NR] = $4  
   GeneSec[NR] = $9
   dir[NR] = $12

   FirstContig[NR] = $2
   SecContig[NR] = $7

   if (Chromo == $2)
      startat = startChromo
   else {
      Chromo = $2
      startChromo = NR
      startat = NR}
 
   for (i=startat; i<NR; i++){                                                              # ok distance in genomeA 
      if (FirstContig[NR]==FirstContig[i] && SecContig[NR]==SecContig[i]) {                             # ok same chr 
         if (RBHFir[NR]!="00000" && RBHFir[i]!="00000") {   # two RBH
            diff1 = RBHFir[NR] - RBHFir[i]
            diff2 = RBHSec[NR] - RBHSec[i]
            deltaM=deltaRBH
            }
         else if (RBHFir[NR]!="00000" || RBHFir[i]!="00000"){
            diff1 = GeneFir[NR] - GeneFir[i]
            diff2 = GeneSec[NR] - GeneSec[i]
            deltaM=deltaNonRBH
            }
         else {
            deltaM=deltaNonRBH
            diff1 = deltaM+1
            diff2 = deltaM+1
            }
         if (diff1<=deltaM && diff2<=deltaM && diff2>=-deltaM && (delta!=0 || dir[NR]==dir[i])) {         # ok distance in genomeB
            if (! group[NR]) {                                               # if the orthologs are not yet assigned to a group
               group[NR] = group[i]                                     # we assigne it to the group of this close pair i
               groupvec[group[i]] = groupvec[group[i]] " " $1 " " $5 " " $6 " " $10 " " $11
               ngroup[group[i]] ++
               }
            else if (group[NR] != group[i]) {                                 # it already belongs to a group ->fusion of groups 
               vectNR = split(groupvec[group[NR]], groupNR)
               vecti = split(groupvec[group[i]], groupi)
               #on concane les 2 vect
               iNR=3
               ii=3
               groupvec[group[NR]] = groupNR[1] " " groupNR[2]
               ngroup[group[NR]]=ngroup[group[NR]]+ngroup[group[i]]
               ngroup[group[i]]=0
               #groupvec[group[i]]=""
               while (iNR<vectNR && ii<vecti){ 
                  if (groupNR[iNR+1]<groupi[ii+1]){
                     groupvec[group[NR]] = groupvec[group[NR]] " " groupNR[iNR] " " groupNR[iNR+1] " " groupNR[iNR+2] " " groupNR[iNR+3] " " groupNR[iNR+4]
                     iNR=iNR+5}
                  else{
                     groupvec[group[NR]] = groupvec[group[NR]] " " groupi[ii] " " groupi[ii+1] " " groupi[ii+2] " " groupi[ii+3] " " groupi[ii+4]
                     ii=ii+5}
               }
               if (iNR>vectNR) {
                  for (j=ii; j<vecti+1; j++){
                     groupvec[group[NR]] = groupvec[group[NR]] " " groupi[j]}
               }
               else {
                  for (j=iNR; j<vectNR+1; j++){
                     groupvec[group[NR]] = groupvec[group[NR]] " " groupNR[j]}
               }
               for (j=startat; j<NR; j++){
                  if (j!= i && group[j]==group[i]){
                        group[j] = group[NR]}
               }
               group[i] = group[NR]
            }
         }
      }
   }
   if (! group[NR]) {                                               # no previous match ->new
      group[NR] = NR
      ngroup[NR]= 1
      groupvec[NR] = $2 " " $7 " " $1 " " $5 " " $6 " " $10 " " $11
      }
}
END{
   for (j=1; j<=NR; j++){
      if (ngroup[j] >= minA)
         print groupvec[j]
   }
}
